> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Import envelopes with specified envelopeIds into a Workspace

POST https://api-d.docusign.com/v1/accounts/{accountId}/workspaces/{workspaceId}/envelopes/actions/import
Content-Type: application/json

This operation imports an existing envelope into a workspace.

Reference: https://developers.docusign.com/docs/workspaces-api/reference/workspaces/workspaceenvelopes/importenvelopes

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from Docusign authorization server

## Servers

- `https://api-d.docusign.com` (Demo, default)
- `https://api.docusign.com` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account
- `workspaceId` (string, required) — The ID of the workspace

### Body (application/json)

This endpoint expects an ImportEnvelopesRequestBody.

- `envelope_ids` (list of string, required) — The list of envelope Ids to import into the workspace

## Response

### 201

Envelopes imported successfully

- `imported_envelope_ids` (list of string, optional, nullable)
- `errors` (list of ImportEnvelopeError, optional, nullable)
- `has_errors` (boolean, optional)

### 207

Partial success - some envelopes imported with errors

- `imported_envelope_ids` (list of string, optional, nullable)
- `errors` (list of ImportEnvelopeError, optional, nullable)
- `has_errors` (boolean, optional)

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 401 Unauthorized Error

Not authorized to make this request

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

## Types

### ImportEnvelopeError

- `envelope_id` (string, required, nullable)
- `error_code` (string, required, nullable)
- `error_message` (string, required, nullable)
- `status_code` (integer, optional)

## Examples

### ImportEnvelopesRequestBodyExample (application/json)

**Request**

```json
{
  "envelope_ids": [
    "3aa85f64-5717-4562-b3fc-2c963f66afa6",
    "4bb95f64-5717-4562-b3fc-2c963f66afa7"
  ]
}
```

**Response**

```json
{
  "imported_envelope_ids": [
    "3aa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "errors": [],
  "has_errors": false
}
```

### ImportEnvelopesRequestBodyExample (application/*+json)

**Request**

```json
{
  "envelope_ids": [
    "3aa85f64-5717-4562-b3fc-2c963f66afa6",
    "4bb95f64-5717-4562-b3fc-2c963f66afa7"
  ]
}
```

**Response**

```json
{
  "imported_envelope_ids": [
    "3aa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "errors": [],
  "has_errors": false
}
```